Subject: RE: [mobile-ip] RFC3012bis - Comments from ADs (Protocol related) (ISSUE NO. 8)

From: "Jayshree Bharatia" <[email-masked]>
Date: Mon, 28 Oct 2002 15:43:43 -0600

This issue is similar to issue 11.
 
If the HA doesn't understand this specification (RFC3012bis), it won't add
challenge in the Registration Reply message as indicated in section 3.4. In
this case, the FA will include a new challenge extension in the Registration
Reply. Hence there are no issues of interoperability.
 
Regards,
Jayshree

 -----Original Message-----
From: Muhanna, Ahmad [RICH2:2Q20:EXCH] 
Sent: Thursday, September 26, 2002 10:41 AM
To: [email-masked]'; [email-masked]
Subject: RE: [mobile-ip] RFC3012bis - Comments from ADs (Protocol related)
(ISSUE NO. 8)

Please see comments inline. 

Regards; 
Ahmad Muhanna 

Non-editorial comments associated with RFC3012bis: 

Please post your comments with the appropriate issue number in the subject
line (instead of simply replying to this email).

-Chairs. 

8. "   pending registration request list [7].  Also in this case, the 
   Foreign Agent MUST reject any Registration Reply message coming from 
   the Home Agent that does not also include the Challenge Extension 
   with the same Challenge Value that was included in the Registration 
   Request.  The Foreign Agent MUST send the rejected Registration" 
   
   This MUST seems to imply that a FA implementing this specification 
   is not allowed to interoperate with a HA which does not implement 
   this specification. Did I get that right? 

This portion is absolutely part of RFC3012 which has been a standard since
November 
2000. Although, I agree with this point, However, it is too late too little.

This point MUST have been raised before RFC3012 became a standard. 
If this issue created a backward compatibility with HAs which existed before

November 2000, then changing it now, WOULD creates a mega backward
compatibility with existing FAs. 

The best argument is: Not many HAs have been deployed before November 2000. 
Therefore, it is much safer to keep the text as is. 

Regards, 
Ahmad